#ifndef MARS_MGeomCamSquare
#define MARS_MGeomCamSquare

#ifndef MARS_MGeomCam
#include "MGeomCam.h"
#endif

class MGeomCamSquare : public MGeomCam
{
private:
    void CreateCam(UInt_t x, UInt_t y, Double_t diameter);
    void CreateNN();

public:
    MGeomCamSquare(UInt_t x, UInt_t y, Double_t diameter=7, Double_t dist=4.92, const char *name=NULL);
    MGeomCamSquare(const char *name=NULL);

    Bool_t HitFrame(MQuaternion p, const MQuaternion &u) const;

    ClassDef(MGeomCamSquare, 1)	// Geometry class for a square pixel camera
};

#endif

